Package org.bukkit.event.player

# Class PlayerRiptideEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerRiptideEvent

public class PlayerRiptideEvent extends PlayerEvent
This event is fired when the player activates the riptide enchantment, using their trident to propel them through the air.
N.B. the riptide action is currently performed client side, so manipulating the player in this event may have undesired effects.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerRiptideEvent(@NotNull Player who, @NotNull ItemStack item)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getItem()`
Gets the item containing the used enchantment.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerRiptideEvent

public PlayerRiptideEvent(@NotNull @NotNull Player who, @NotNull @NotNull ItemStack item)

## Method Details

### getItem

@NotNull public @NotNull ItemStack getItem()
Gets the item containing the used enchantment.

Returns:
  held enchanted item

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()